header h1 {
    font-size: 3rem;
}

header {
    margin-top: 10vh;
}

body {
    margin-left: 30px !important;
    overflow-x: hidden;
}

header .flex-60 {
    margin-left: 20%;
}

.elem_showcase {
    background-color: var(--green);
    height: 150px;
    margin-left: 10px;
}

.disablemargin {
    margin-left: -30px;
}

.infinite {
    animation-iteration-count: infinite !important;
}

.spinit {
    display: inline-block;
}

/* pzplUI */
/* pzplUI 1.4 */

:root {
    --bg-color: white;
    --bg-text: black;
    --button-text: black;
    --box-shadow-1: 0px 2px 3px rgba(50, 50, 50, 0.2);
    --box-shadow-2: 0px 3px 4px rgba(40, 40, 40, 0.4);
    --black: black;
    --black-hover: #212121;
    --black-light: #455A64;
    --white: white;
    --blue-disabled: #4FC3F7;
    --blue-light: #42A5F5;
    --blue: #039BE5;
    --blue-hover: #0288D1;
    --green-light: #81C784;
    --green: #43A047;
    --green-hover: #388E3C;
    --red-light: #e57373;
    --red: #e53935;
    --red-hover: #d32f2f;
    --orange-light: #FFB74D;
    --orange: #FB8C00;
    --orange-hover: #F57C00;
    --info-blue-light: #4DD0E1;
    --info-blue: #00ACC1;
    --info-blue-hover: #0097A7;
    --alert-text-color: white;
    --uncolor: #e0e1e2;
    --uncolor-hover: #cacbcd;
    --animation-speed: 2s;
    --animation-transform: 300px;
}

body {
    background-color: var(--bg-color);
    color: var(--bg-text);
    line-height: 1.5;
    font-family: 'Ubuntu', -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, "Helvetica Neue", "Helvetica", Arial, Tahoma, Geneva, Verdana, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}

a {
    color: #007bff;
    text-decoration: none;
    background-color: transparent;
}

[hidden] {
    display: none !important;
}

code {
    font-family: "Ubuntu Mono", SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
}

hr {
	margin: 20px 0;
	border: 0;
	border-top: 1px solid #eeeeee;
	border-bottom: 1px solid #ffffff;
}

/* Typography */

h1, h2, h3, h4, h5, h6 {
    font-weight: 500;
    line-height: 1.2;
}

h1 {
    font-size: 2.5rem;
}

h2 {
    font-size: 2rem;
}

h3 {
    font-size: 1.75rem;
}

h4 {
    font-size: 1.5rem;
}

h5 {
    font-size: 1.25rem;
}

h6 {
    font-size: 1rem;
}

/* Backgrounds */

.bg-success {
    background-color: var(--green) !important;
}

.bg-info {
    background-color: var(--info-blue) !important;
}

.bg-danger {
    background-color: var(--orange) !important;
}

.bg-error {
    background-color: var(--red) !important;
}

.bg-normal {
    background-color: var(--blue) !important;
}

.bg-dark {
    background-color: var(--black) !important;
}

.text-normal {
    color: var(--blue) !important;
}

.text-success {
    color: var(--green) !important;
}

.text-error {
    color: var(--red) !important;
}

.text-danger {
    color: var(--orange) !important;
}

.text-dark {
    color: var(--black) !important;
}

.text-info {
    color: var(--info-blue) !important;
}

.text-white {
    color: var(--white) !important;
}

/* Layouts */

.flexbox {
    display: flex;
}

.column {
    display: block;
    flex-basis: 0;
    flex-grow: 1;
    flex-shrink: 1;
    padding: .75rem;
}

.flex-80, .flex-75, .flex-65, .flex-60, .flex-50, .flex-45, .flex-40, .flex-35, .flex-30, .flex-25, .flex-20, .flex-10 {
    flex: none;
}

.flex-100 {
    width: 100%;
}

.flex-80 {
    width: 80%;
}

.flex-75 {
    width: 75%;
}

.flex-65 {
    width: 65%;
}

.flex-60 {
    width: 60%;
}

.flex-50 {
    width: 50%;
}

.flex-45 {
    width: 45%;
}

.flex-40 {
    width: 40%;
}

.flex-35 {
    width: 35%;
}

.flex-30 {
    width: 30%;
}

.flex-25 {
    width: 25%;
}

.flex-20 {
    width: 20%;
}

.flex-10 {
    width: 10%;
}

.multiline {
    flex-wrap: wrap;
}

/* Layouts 2 */

.container {
    margin: 0 auto;
}

.hero {
    padding: 3rem 1.5rem;
}

.subtitle {
    font-size: 1.25rem;
    font-weight: 400;
    line-height: 1.25;
}

.title {
    font-size: 2rem;
    font-weight: 600;
    line-height: 1.125;
}

blockquote, body, dd, dl, dt, fieldset, figure, hr, html, iframe, legend, li, ol, p, pre, textarea, ul {
    margin: 0;
    padding: 0;
}

.consended h1, .consended h2, .consended h3, .consended h4, .consended h5, .consended h6 {
    margin: 0;
    padding: 0;
}

/* Buttons */

.btn {
    display: inline-block;
    font-weight: 400;
    line-height: 1.5;
    color: var(--button-text);
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: .375rem .75rem;
    font-size: 1rem;
    border-radius: .25rem;
    transition: .3s;
    box-shadow: var(--box-shadow-1);
}

.btn:hover {
    box-shadow: var(--box-shadow-2);
}

.btn-normal {
    background-color: var(--blue);
    color: var(--white);
}

.btn-normal:hover {
    background-color: var(--blue-hover);
}

.btn:disabled {
    opacity: 0.6;
    cursor: default;
}

.btn-success {
    background-color: var(--green);
    color: var(--white);
}

.btn-success:hover {
    background-color: var(--green-hover);
}

.btn-error {
    background-color: var(--red);
    color: var(--white);
}

.btn-error:hover {
    background-color: var(--red-hover);
}

.btn-danger {
    background-color: var(--orange);
    color: var(--white);
}

.btn-danger:hover {
    background-color: var(--orange-hover);
}

.btn-info {
    background-color: var(--info-blue);
    color: var(--white);
}

.btn-info:hover {
    background-color: var(--info-blue-hover);
}

.btn-dark {
    background-color: var(--black);
    color: var(--white);
}

.btn-dark:hover {
    background-color: var(--black-hover);
}

.btn-uncolor {
    background-color: var(--uncolor);
    color: var(--black);
}

.btn-uncolor:hover {
    background-color: var(--uncolor-hover);
}

.btn-normal-outline {
    color: var(--blue);
    border-color: var(--blue);
}

.btn-normal-outline:hover {
    color: var(--white);
    background-color: var(--blue);
}

.btn-success-outline {
    color: var(--green);
    border-color: var(--green);
}

.btn-success-outline:hover {
    color: var(--white);
    background-color: var(--green);
}

.btn-error-outline {
    color: var(--red);
    border-color: var(--red);
}

.btn-error-outline:hover {
    color: var(--white);
    background-color: var(--red);
}

.btn-danger-outline {
    color: var(--orange);
    border-color: var(--orange);
}

.btn-danger-outline:hover {
    color: var(--white);
    background-color: var(--orange);
}

.btn-info-outline {
    color: var(--info-blue);
    border-color: var(--info-blue);
}

.btn-info-outline:hover {
    color: var(--white);
    background-color: var(--info-blue);
}

.btn-dark-outline {
    color: var(--black);
    border-color: var(--black);
}

.btn-dark-outline:hover {
    color: var(--white);
    background-color: var(--black);
}

.btn-uncolor-outline {
    color: var(--black);
    border-color: var(--uncolor);
}

.btn-uncolor-outline:hover {
    background-color: var(--uncolor);
}

.btn-block {
	display: block;
	width: 100%;
}

.btn-lg {
	padding: .5rem 1rem;
	font-size: 1.25rem;
	line-height: 1.5;
	border-radius: .3rem;
}

.btn-sm {
	padding: .25rem .5rem;
	font-size: .875rem;
	line-height: 1.5;
	border-radius: .2rem;
}

/* Alerts */

.alert {
    padding: .75rem 1.25rem;
    border-radius: .25rem;
    margin-bottom: 1rem;
}

.alert-normal {
    background-color: var(--blue-light);
    color: var(--alert-text-color);
}

.alert-success {
    background-color: var(--green-light);
    color: var(--alert-text-color);
}

.alert-error {
    background-color: var(--red-light);
    color: var(--alert-text-color);
}

.alert-danger {
    background-color: var(--orange-light);
    color: var(--alert-text-color);
}

.alert-info {
    background-color: var(--info-blue-light);
    color: var(--alert-text-color);
}

.alert-dark {
    background-color: var(--black-light);
    color: var(--alert-text-color);
}

/* Badges */

.badge {
    display: inline-block;
    padding: .25em .4em;
    font-size: 75%;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    border-radius: .25rem;
}

.badge-normal {
    background-color: var(--blue);
}

.badge-success {
    background-color: var(--green);
}

.badge-error {
    background-color: var(--red);
}

.badge-danger {
    background-color: var(--orange);
}

.badge-info {
    background-color: var(--info-blue);
}

.badge-dark {
    background-color: var(--black);
}

/* Navbar */

.progress-bar {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
    color: var(--white);
    text-align: center;
    white-space: nowrap;
    background-color: var(--blue);
    transition: width .6s ease;
}

.progress {
    display: flex;
    height: 1rem;
    overflow: hidden;
    line-height: 0;
    font-size: .75rem;
    background-color: #e9ecef;
    border-radius: .25rem;
    margin-top: 1rem;
}

/* Spinner */

.spinner-border {
    display: inline-block;
    width: 2rem;
    height: 2rem;
    vertical-align: text-bottom;
    border: .25em solid currentColor;
    border-right-color: transparent;
    border-radius: 50%;
    animation: spinner-border .75s linear infinite;
}

@keyframes spinner-border {
    to {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg)
    }
}

.sr-only {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}

/* Box */

.box {
    border-radius: 5px;
    box-shadow: 0 .5em 1em -.125em rgba(10, 10, 10, .1), 0 0 0 1px rgba(10, 10, 10, .02);
    padding: 1rem;
}

/* Animations */

.anim-spin {
    animation: pzplui-spin var(--animation-speed) linear forwards;
}

@keyframes pzplui-spin {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

.anim-fade {
    animation: pzplui-fade var(--animation-speed) linear forwards;
}

@keyframes pzplui-fade {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

.anim-fade-out {
    animation: pzplui-fade-out var(--animation-speed) linear forwards;
}

@keyframes pzplui-fade-out {
    from {
        opacity: 1;
    }
    to {
        opacity: 0;
    }
}

.anim-top {
    position: relative;
    animation: pzplui-top var(--animation-speed) linear forwards;
}

@keyframes pzplui-top {
    from {
        opacity: 0;
        bottom: var(--animation-transform);
    }
    to {
        opacity: 1;
        top: 0;
    }
}

.anim-bottom {
    position: relative;
    animation: pzplui-bottom var(--animation-speed) linear forwards;
}

@keyframes pzplui-bottom {
    from {
        opacity: 0;
        top: var(--animation-transform);
    }
    to {
        opacity: 1;
        top: 0;
    }
}

.anim-left {
    position: relative;
    animation: pzplui-left var(--animation-speed) linear forwards;
}

@keyframes pzplui-left {
    from {
        opacity: 0;
        right: var(--animation-transform);
    }
    to {
        opacity: 1;
        right: 0;
    }
}

.anim-right {
    position: relative;
    animation: pzplui-right var(--animation-speed) linear forwards;
}

@keyframes pzplui-right {
    from {
        opacity: 0;
        left: var(--animation-transform);
    }
    to {
        opacity: 1;
        left: 0;
    }
}

.anim-zoom {
    animation: pzplui-zoom var(--animation-speed) linear forwards;
}

@keyframes pzplui-zoom {
    from {
        transform: scale(0);
    }
    to {
        transform: scale(1);
    }
}

.anim-input {
    transition: 0.4s ease-in-out;
}

.anim-input:focus {
    width: 100%!important;
}

/* Image Utility Classes */

.img-fluid {
    max-width: 100%;
    height: auto;
}

.img-round {
    border-radius: .25rem !important;
}

/* Navbars */

.navbar {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-start;
    padding: .5rem 1rem;
    text-decoration: none;
}

.navbar-brand {
    display: inline-block;
    padding-top: .3rem;
    padding-bottom: .3rem;
    margin-right: 1rem;
    font-size: 1.25rem;
    line-height: inherit;
    white-space: nowrap;
}

.navbar ul {
    list-style: none;
    flex-direction: row;
    display: flex;
}

.navbar ul li {
    padding-right: .5rem;
    padding-left: .5rem;
    display: block;
    padding: .5rem 1rem;
    opacity: 0.8;
}

.navbar-fixed {
	position: fixed;
	top: 0;
	right: 0;
	left: 0;
	z-index: 999;
}



/* a quick adjustment */
@keyframes pzplui-fade {
    0% {
        opacity: 0;
    }
    50% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

.text-centre { /* britishness 100 */
    text-align: center;
}

a img:hover {
    box-shadow: 0 0 0 .25rem rgba(0, 102, 255, 0.438);
}

a img {
    transition: all 0.15s;
}

:root {
    scroll-behavior: smooth;
}